#include <iostream>
using namespace std;

class Nif {
  public:
    void inicializar(long int);
    long int dni();
    char letra();
    void dni(long int);
    void leer();
    void mostrar();
  private:
    void ponLetra();
    long int _dni;
    char _letra;
};

void Nif::ponLetra() {
  int resto = _dni % 23;
  switch(resto) {
    case 0: _letra = 'T'; break;
    case 1: _letra = 'R'; break;
    case 2: _letra = 'W'; break;
    case 3: _letra = 'A'; break;
    case 4: _letra = 'G'; break;
    case 5: _letra = 'M'; break;
    case 6: _letra = 'Y'; break;
    case 7: _letra = 'F'; break;
    case 8: _letra = 'P'; break;
    case 9: _letra = 'D'; break;
    case 10: _letra = 'X'; break;
    case 11: _letra = 'B'; break;
    case 12: _letra = 'N'; break;
    case 13: _letra = 'J'; break;
    case 14: _letra = 'Z'; break;
    case 15: _letra = 'S'; break;
    case 16: _letra = 'Q'; break;
    case 17: _letra = 'V'; break;
    case 18: _letra = 'H'; break;
    case 19: _letra = 'L'; break;
    case 20: _letra = 'C'; break;
    case 21: _letra = 'K'; break;
    case 22: _letra = 'E'; break;
  }
}

void Nif::inicializar(long int d) {
  _dni = d;
  ponLetra();
}

long int Nif::dni() { return _dni; }

char Nif::letra() { return _letra; }

void Nif::dni(long int d) {
  _dni = d;
  ponLetra();
}

void Nif::leer() {
  cout << "Introduce el D.N.I. (sin letra): ";
  cin >> _dni;
  ponLetra();
}

void Nif::mostrar() {
  int pot = 10;
  for(int i = 1; i < 8; i++) {
    if(_dni < pot) cout << "0";
    pot *= 10;
  }
  cout << _dni << "-" << _letra << endl;
}

int main() {
  Nif nif1;
  nif1.inicializar(3902419);
  nif1.mostrar();
  cout << endl;
  return 0;
}


