#include <iostream> // entrada/salida por consola
using namespace std; // funcionalidad estndar

class Cuenta {
public:
  void inicializa(long int num)  { _numero = num; _saldo = 0; _interes = 0; }
  double saldo() { return _saldo; }
  double interes() { return _interes; }
  void saldo(double s) { _saldo = s; }
  void interes(double i) { _interes = i; }
  void ingreso(double cantidad) { _saldo += cantidad; }
  bool reintegro(double);
  void abonoIntereses();
  void mostrar();
private:
  long int _numero; // nmero de cuenta
  double _saldo;
  double _interes; // inters anual (porcentaje)
}; // Fin de la definicin de la clase Cuenta

bool Cuenta::reintegro(double cantidad) {
// devuelve true si hay saldo suficiente (y resta
// la cantidad); false si no hay saldo suficiente
  if(cantidad > _saldo) return false;
  _saldo -= cantidad;
  return true;
}

void Cuenta::abonoIntereses() {
// abono mensual de intereses
  ingreso(_saldo * _interes / 100 / 12);
}
// el objeto se pasa un mensaje ingreso a s mismo;
// cuando no figura delante ningn objeto receptor
// del mensaje, ste se enva a uno mismo

void Cuenta::mostrar() {
  cout << endl;
  cout << "Nmero de cuenta: " << _numero << endl;
  cout << "Saldo: " << _saldo << endl;
}

int main()
{
  Cuenta cc;
  cc.inicializa(24316534);
  cc.saldo(100000);
  cc.interes(10);
  cc.mostrar();
  cc.ingreso(26000);
  cc.mostrar();
  cc.abonoIntereses();
  cc.mostrar();
  if(!cc.reintegro(10000))
    cout << "No hay saldo";
  cc.mostrar();

  return 0;
}
