// Clase Articulo - Archivo de cabecera "articulo.h"

#ifndef articulo_h // Evitar inclusiones mltiples
#define articulo_h

#include <iostream>
#include <string>
using namespace std;
#include "volumen.h"

class Articulo : public Volumen {
public:
  Articulo(string = "", string = "", string = "", Fecha = Fecha(),
          Persona* = NULL, string = "", int = 1, int = 1);
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor,
  // serie, pg. inicial, pg. final.
  Articulo(const Articulo&);
  Articulo& operator=(const Articulo&);
  ~Articulo();
  string serie() const;
  int inicial() const;
  int final() const;
  void serie(string);
  void inicial(int);
  void final(int);
  void leer();
  void mostrar() const;
  Publicacion* clon() const;
private:
  string _serie;
  int _inicial, _final;
};

#endif




 