// Prueba de la clase Lista (de publicaciones)

#include "articulo.h"
#include "libro.h"
#include "revista.h"
#include "lista.h"

int main() {
//  typedef Lista<Publicacion> ListaPub;
  Lista<Publicacion>* biblioteca = new Lista<Publicacion>();

  Persona* autor1 = new Persona("223344G", 31, "Juan", "Roque Gil");
  Persona* autor2 = new Persona("123867X", 53, "Miguel", "Vegas Sanz");

  Revista* rev = new Revista("Programadores de C++", "Madrid", "Spain",
                 Fecha(1,10,2002), 5, 12, "Ed. SoftTop");
  biblioteca->insertar(rev);

  Articulo* art = new Articulo("Los punteros o como morir en el intento",
                 "Madrid", "Spain", Fecha(11,9,2002), autor1,
                 "Programadores de C++", 134, 161);
  biblioteca->insertar(art);

  art = new Articulo("Los atributos dinmicos, armas de doble filo",
        "Barcelona", "Spain", Fecha(23,9,2002), autor2,
        "Programadores de C++", 17, 31);
  biblioteca->insertar(art);

  art = new Articulo("Relacionarse o dinamizarse: tu decides",
        "Lima", "Peru", Fecha(14,7,2002), NULL,
        "Programadores de C++", 54, 87);
  biblioteca->insertar(art);

  art = new Articulo("Creas que lo sabas todo de los punteros?",
        "Madrid", "Spain", Fecha(25,8,2002), autor1,
        "Programadores de C++", 103, 122);
  biblioteca->insertar(art);

  Libro* lib = new Libro("POO con C++", "Madrid", "Spain",
                         Fecha(3,6,2001), autor1, "8-05400-2143-0",
                         2, "Ed. SoftTop", 237);
  biblioteca->insertar(lib);

  biblioteca->mostrar();

  Lista<Publicacion>* biblio2 = new Lista<Publicacion>(*biblioteca);
  biblio2->mostrar();

  Lista<Publicacion>* biblio3 = new Lista<Publicacion>();
  *biblio3 = *biblio2;
  biblio3->mostrar();

  delete biblio3;
  delete biblio2;
  delete biblioteca;

  delete autor1;
  delete autor2;

  return 0;
}
