// Clase ConISBN - Archivo de cabecera "conisbn.h"

#ifndef conisbn_h // Evitar inclusiones mltiples
#define conisbn_h

#include <iostream>
#include <string>
using namespace std;
#include "volumen.h"

class ConISBN : public Volumen {
public:
  ConISBN(string = "", string = "", string = "", Fecha = Fecha(),
          Persona* = NULL, string = "", int = 1, string = "");
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor, ISBN, edicin, editorial.
  ConISBN(const ConISBN&);
  ConISBN& operator=(const ConISBN&);
  virtual ~ConISBN();
  string isbn() const;
  int edicion() const;
  string editorial() const;
  void isbn(string);
  void edicion(int);
  void editorial(string);
  virtual void leer();
  virtual void mostrar() const;
private:
  string _isbn;
  int _edicion;
  string _editorial;
};

#endif

