// Clase Enciclopedia - Archivo de cabecera "enciclopedia.h"

#ifndef enciclopedia_h // Evitar inclusiones mltiples
#define enciclopedia_h

#include <iostream>
#include <string>
using namespace std;
#include "conisbn.h"

class Enciclopedia : public ConISBN {
public:
  Enciclopedia(string = "", string = "", string = "", Fecha = Fecha(),
        Persona* = NULL, string = "", int = 1, string = "", int = 1);
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor,
  // ISBN, edicin, editorial, nmero de volmenes.
  Enciclopedia(const Enciclopedia&);
  Enciclopedia& operator=(const Enciclopedia&);
  ~Enciclopedia();
  int volumenes() const;
  void volumenes(int);
  void leer();
  void mostrar() const;
  Publicacion* clon() const;
private:
  int _volumenes;
};

#endif


 