// Clase Persona - Implementacin "persona.cpp"

#include "persona.h"

Persona::Persona(string nif, int edad, string nombre, string apellidos)
  : _nif(nif), _edad(edad), _nombre(nombre), _apellidos(apellidos) { }

Persona::Persona(const Persona& otra) {
  _nif = otra._nif;
  _edad = otra._edad;
  _nombre = otra._nombre;
  _apellidos = otra._apellidos;
}

Persona& Persona::operator=(const Persona& otra) {
  _nif = otra._nif;
  _edad = otra._edad;
  _nombre = otra._nombre;
  _apellidos = otra._apellidos;
  return *this;
}

Persona::~Persona() { }

Persona* Persona::clon() const {
  Persona* p = new Persona();
  *p = *this;
  return p;
}

void Persona::nif(string cad) { _nif = cad; }

void Persona::edad(int num) { _edad = num; }

void Persona::nombre(string cad) { _nombre = cad; }

void Persona::apellidos(string cad) { _apellidos = cad; }

string Persona::nif() const { return _nif; }

int Persona::edad() const { return _edad; }

string Persona::nombre() const { return _nombre; }

string Persona::apellidos() const { return _apellidos; }

void Persona::mostrar() const {
  cout << _nif << endl;
  cout << nombreCompleto() << endl;
  cout << "Edad: " << _edad << endl;
}

string Persona::nombreCompleto() const
{ return _nombre + " " + _apellidos; }

void Persona::felizCumple() {
  _edad++;
  cout << "Registro actualizado: " << endl;
  mostrar();
}

void Persona::leer()
{
  cout << "NIF: ";
  cin >> _nif;
  cout << "Nombre: ";
  getline(cin, _nombre);
  cout << "Apellidos: ";
  getline(cin, _apellidos);
  cout << "Edad: ";
  cin >> _edad;
}

