
template<class Tipo> class Pila {
public:
  Pila();
  bool pilavacia();
  bool pilallena();
  void push(Tipo);
  Tipo pop();
private:
  enum { MAX = 10 };
  Tipo _elems[MAX];
  int _tope;
};

template<class Tipo> Pila<Tipo>::Pila() : _tope(0) { }

template<class Tipo> bool Pila<Tipo>::pilavacia() { return _tope == 0; }

template<class Tipo> bool Pila<Tipo>::pilallena() { return _tope == MAX; }

template<class Tipo> void Pila<Tipo>::push(Tipo dato) {
  _elems[_tope] = dato;
  _tope++;
}

template<class Tipo> Tipo Pila<Tipo>::pop() {
  _tope--;
  return _elems[_tope];
}

