#include <iostream>

using namespace std;



class Contador3 {

public:

  Contador3(int = 0); // Constructor (predeterminado)

  Contador3(const Contador3&); // Constructor de copia

  Contador3& operator=(const Contador3&); // Copia (asignacin)

  ~Contador3(); // Destructor

  void incrementar();

  void decrementar ();

  void mostrar() const;

private:

  int _cont;

};



Contador3::Contador3(int val){ _cont = (val > 0) ? val : 0; }



Contador3::Contador3(const Contador3& otro) {

  _cont = otro._cont;

}



Contador3& Contador3::operator=(const Contador3& otro) {

  _cont = otro._cont;

  return *this;

}



Contador3::~Contador3() { }



void Contador3::incrementar(){

  _cont++;

}



void Contador3::decrementar () {

  if(_cont>0) _cont--;

}



void Contador3::mostrar() const {

  cout << _cont << endl;

}



int main() {

  Contador3 c1; // Constructor predeterminado

  c1.mostrar();

  Contador3 c2(5);

  c2.mostrar();

  Contador3 c3(c2); // Construccin por copia

  c3.mostrar();

  Contador3 c4;

  c4 = c3; // Copia

  c4.mostrar();



  return 0;

}





 