// Clase Complejo - Archivo de cabecera "complejo.h"



#ifndef complejo_h // Evitar inclusiones mltiples

#define complejo_h



class Complejo {

public:

  Complejo(double = 0, double = 0);

  Complejo(const Complejo&);

  Complejo& operator=(const Complejo&);

  ~Complejo();

  Complejo operator+(Complejo) const;

  Complejo operator-(Complejo) const;

  Complejo operator*(Complejo) const;

  Complejo operator/(Complejo) const;

  void mostrar() const;

private:

  double _real, _imag;

};



#endif



