#include <iostream>

using namespace std;



class Contador4 {

public:

  Contador4(int = 0);

  Contador4(const Contador4&);

  Contador4& operator=(const Contador4&);

  ~Contador4();

  Contador4& operator++();

  Contador4& operator--();

  Contador4 operator+(Contador4) const;

  Contador4 operator-(Contador4) const;

  bool operator==(Contador4) const;

  bool operator!=(Contador4) const;

  bool operator<(Contador4) const;

  bool operator<=(Contador4) const;

  bool operator>(Contador4) const;

  bool operator>=(Contador4) const;

  void mostrar() const;

private:

  int _cont;

};



Contador4::Contador4(int val){

  _cont = (val > 0) ? val : 0;

}



Contador4::Contador4(const Contador4& otro) {

  _cont = otro._cont;

}



Contador4& Contador4::operator=(const Contador4& otro) {

  _cont = otro._cont;

  return *this;

}



Contador4::~Contador4() { }



Contador4& Contador4::operator++() {

  _cont++;

  return *this;

}



Contador4& Contador4::operator--() {

  if(_cont>0) _cont--;

  return *this;

}



Contador4 Contador4::operator+(Contador4 otro) const {

  Contador4 tmp;

  tmp._cont = _cont + otro._cont;

  return tmp;

}



Contador4 Contador4::operator-(Contador4 otro) const {

  Contador4 tmp;

  tmp._cont = _cont - otro._cont;

  if(tmp._cont < 0) tmp._cont = 0;

  return tmp;

}



bool Contador4::operator==(Contador4 otro) const {

  return _cont == otro._cont;

}



bool Contador4::operator!=(Contador4 otro) const {

  return _cont != otro._cont;

}



bool Contador4::operator<(Contador4 otro) const {

  return _cont < otro._cont;

}



bool Contador4::operator<=(Contador4 otro) const {

  return _cont <= otro._cont;

}



bool Contador4::operator>(Contador4 otro) const {

  return _cont > otro._cont;

}



bool Contador4::operator>=(Contador4 otro) const {

  return _cont >= otro._cont;

}



void Contador4::mostrar() const {

  cout << _cont << endl;

}



int main() {

  Contador4 c1, c2(7), c3;

  (c1++)++;

  c1.mostrar();

  c3 = c1 + c2;

  c3.mostrar();

  if(c3 > c2) cout << "mayor..." << endl;

  c3 = c1 - c2;

  c3.mostrar();



  return 0;

}



 