// Prueba de la clase FechaHora

#include <iostream>
#include <string>
using namespace std;
#include "fecha.h"
#include "hora.h"
#include "fechahora.h"

int main() {
  FechaHora fh1(Fecha(4,11,2002), Hora(15,32,00)),
            fh2(Fecha(22,3,1996), Hora(18,17,00));
  cout << fh1.completa() << endl;
  cout << fh2.reducida() << endl;
  cout << "   *****" << endl;
  FechaHora fh3(fh1);
  cout << fh3.completa() << endl;
  cout << "   *****" << endl;
  fh3 = fh2;
  cout << fh3.completa() << endl;
  cout << "   *****" << endl;
  if(fh1 > fh2) cout << "La primera es posterior." << endl;
  cout << "   *****" << endl;
  fh2.hora(fh1.hora());
  cout << fh2.completa() << endl;
  cout << "   *****" << endl;
  cout << fh1 - fh3 << " segundos entre ambas fechas" << endl;
  cout << "   *****" << endl;
  long int seg = fh1.aSegundos(4);
  fh1 = fh1 + seg;
  cout << fh1.completa() << endl;
  cout << "   *****" << endl;
  fh1--;
  cout << fh1.completa() << endl;
  cout << "   *****" << endl;
  fh3.leer();
  cout << fh3.completa() << endl;
  cout << "   *****" << endl;
  FechaHora fh4(Fecha(4,11,2002), Hora(23,59,59));
  cout << fh4.completa() << endl;
  fh4++;
  cout << fh4.completa() << endl;

  return 0;
}

 