// Nombre y dos apellidos

// Clase Cuenta - Archivo de cabecera "cuenta.h"

#ifndef cuenta_h // Evitar inclusiones mltiples
#define cuenta_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "fecha.h"
#include "hora.h"

class Cuenta {
public:
  Cuenta(Persona = Persona(), Fecha = Fecha(), Hora = Hora(), double = 0);
  Cuenta(const Cuenta&);
  Cuenta& operator=(const Cuenta&);
  ~Cuenta();
  Persona cliente() const;
  void cliente(Persona);
  Fecha fecha() const;
  void fecha(Fecha);
  Hora hora() const;
  void hora(Hora);
  double saldo() const;
  void saldo(double);
  Cuenta operator+(double) const;
  Cuenta operator-(double) const;
  Cuenta& operator+=(double);
  Cuenta& operator-=(double);
  void mostrar() const;
private:
  Persona _cliente;
  Fecha _fecha;
  Hora _hora;
  double _saldo;
};

#endif
 