// Nombre y dos apellidos

// Clase Deuda - Archivo de cabecera "deuda.h"

#ifndef deuda_h // Evitar inclusiones mltiples
#define deuda_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "fecha.h"

class Deuda {
public:
  Deuda(Persona = Persona(), Fecha = Fecha(), double = 0, double = 0);
    // Datos: deudor, fecha, inters y deuda contrada
  Deuda(const Deuda&);
  Deuda& operator=(const Deuda&);
  ~Deuda();
  Persona deudor() const;
  void deudor(Persona);
  Fecha fecha() const;
  void fecha(Fecha);
  double interes() const;
  void interes(double);
  double deuda() const;
  void deuda(double);
  Deuda& operator++();
  Deuda& operator--();
  void pago(Fecha, double);
  void mostrar() const;
private:
  Persona _deudor;
  Fecha _fecha;
  double _interes, _deuda;
};

#endif
 