// Clase Mueble - Archivo de cabecera "mueble.h"

#ifndef mueble_h // Evitar inclusiones mltiples
#define mueble_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "fecha.h"

class Mueble {
public:
  Mueble(string = "", Persona = Persona(), double = 0,
         Fecha = Fecha(), Fecha = Fecha());
  Mueble(const Mueble&);
  Mueble& operator=(const Mueble&);
  ~Mueble();
  string descripcion() const;
  void descripcion(string);
  Persona carpintero() const;
  void carpintero(Persona);
  double madera() const;
  void madera(double);
  Fecha inicio() const;
  void inicio(Fecha);
  Fecha fin() const;
  void fin(Fecha);
  double total() const;
  void mostrar() const;
private:
  static float _porM3, _porDia; // atributos de clase
  string _descripcion;
  Persona _carpintero;
  double _madera;
  Fecha _inicio, _fin;
};

#endif
 