// Clase Alumno - Implementacin "alumno.cpp"

#include "alumno.h"

Alumno::Alumno(string nif, int edad, string nombre,
               string apellidos, int curso)
  : _curso(curso), Persona(nif, edad, nombre, apellidos) { }

Alumno::Alumno(const Alumno& otro) : Persona(otro) {
  _curso = otro._curso;
}

Alumno& Alumno::operator=(const Alumno& otro) {
  Persona::operator=(otro);
  _curso = otro._curso;
  return *this;
}

Alumno::~Alumno() { }

void Alumno::curso(int num) { _curso = num; }

int Alumno::curso() const { return _curso; }

void Alumno::mostrar() const {
  Persona::mostrar();
  cout << "Curso: " << _curso << endl;
}


 