// Clase Volumen - Archivo de cabecera "volumen.h"

#ifndef volumen_h // Evitar inclusiones mltiples
#define volumen_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "publicacion.h"

class Volumen : public Publicacion {
public:
  // F.C.O.
  Volumen(string = "", string = "", string = "",
          Fecha = Fecha(), Persona = Persona());
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor.
  Volumen(const Volumen&);
  Volumen& operator=(const Volumen&);
  ~Volumen();
  // Accedente
  Persona autor() const;
  // Mutador
  void autor(Persona);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  Persona _autor;
};

#endif


 