// Clase Enciclopedia - Implementacin "enciclopedia.cpp"

#include "enciclopedia.h"

// F.C.O.

Enciclopedia::Enciclopedia(string tit, string c, string p, Fecha f,
  Persona a, string isbn, int ed, string edit, int vol)
  : ConISBN(tit, c, p, f, a, isbn, ed, edit), _volumenes(vol) { }

Enciclopedia::Enciclopedia(const Enciclopedia& otro) : ConISBN(otro) {
  _volumenes = otro._volumenes;
}

Enciclopedia& Enciclopedia::operator=(const Enciclopedia& otro) {
  ConISBN::operator=(otro);
  _volumenes = otro._volumenes;
  return *this;
}

Enciclopedia::~Enciclopedia() { }

// Accedente

int Enciclopedia::volumenes() const { return _volumenes; }

// Mutador

void Enciclopedia::volumenes(int v) { _volumenes = v; }

// Otros mtodos

void Enciclopedia::leer() {
  ConISBN::leer();
  cout << "Numero de volmenes: "; cin >> _volumenes;
}

void Enciclopedia::mostrar() const {
  ConISBN::mostrar();
  cout << _volumenes << " volmenes" << endl;
}

 