// Clase Lista - Implementacin "listaper.cpp"

#include <iostream>
#include <string>
using namespace std;
#include "listaper.h"

Lista::Lista() : _cont(0) {}

Lista::Lista(const Lista& otra) {
  _cont = otra._cont;
  for(int i = 0; i < _cont; i++) _array[i] = otra._array[i];
}

Lista& Lista::operator=(const Lista& otra) {
  _cont = otra._cont;
  for(int i = 0; i < _cont; i++) _array[i] = otra._array[i];
  return *this;
}

Lista::~Lista() {}

bool Lista::llena() const { return _cont == MAX; }

bool Lista::vacia() const { return _cont == 0; }

bool Lista::insertar(Persona p) {
  if(_cont == MAX) return false;
  _array[_cont] = p;
  _cont++;
  return true;
}

bool Lista::recuperar(int pos, Persona& p) const {
  if(pos < 1 || pos > _cont) return false;
  p = _array[pos-1];
  return true;
}

void Lista::mostrar() const {
  cout << "Elementos de la lista:" << endl;
  for(int i = 0; i < _cont; i++)
    _array[i].mostrar();
}
