// Clase Lista - Archivo de cabecera "listaper.h"

#ifndef listaper_h
#define listaper_h

#include "persona.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista();
  bool llena() const;
  bool vacia() const;
  bool insertar(Persona);
  bool recuperar(int, Persona&) const;
  void mostrar() const;
private:
  enum { MAX = 100 };
  Persona _array[MAX];
  int _cont;
}; // Fin de la definicin de la clase Lista

#endif

