// Prueba de la clase Lista (de publicaciones)

#include "publicacion.h"
#include "articulo.h"
#include "libro.h"
#include "enciclopedia.h"
#include "revista.h"
#include "actas.h"
#include "listabib.h"

int main() {
  Lista lista;

  Articulo *art = new Articulo("Genoma 2", "Londres", "Reino Unido",
                  Fecha(11,4,1995), Persona("", 43, "John", "Maverick"),
                  "BioScience", 134, 161);
  lista.insertar(art);

  Libro *lib = new Libro("Rasputn", "Barcelona", "Espaa",
               Fecha(15,7,1998), Persona("223344G", 31, "Juan", "Alan Gil"),
               "76-4235-5478-9", 1, "Ed. Magnus", 231);
  lista.insertar(lib);
  Enciclopedia *enc = new Enciclopedia("Gua mdica", "Madrid", "Espaa",
                      Fecha(1,12,2001),
                      Persona("123867X", 53, "Miguel", "Vegas Sanz"),
                      "78-3245-6665-8", 3, "MisterDoc", 14);
  lista.insertar(enc);
  Revista *rev = new Revista("Faralaes", "Sevilla", "Espaa",
                 Fecha(1,8,1999), 5, 63, "Ed. Lunares");
  lista.insertar(rev);
  Actas *act = new Actas("Proceedings of IWC 2000", "Boston", "USA",
               Fecha(17,3,2001), 5, 63, "10th Int. Workshop on Computers");
  lista.insertar(act);
  lista.mostrar();
  // Los objetos se eliminan al destruir la lista

  Publicacion *p;
  lista.recuperar(1,p);
  p->mostrar();

  return 0;
}