// Clase Lista (de movimientos) - Implementacin "listamov.cpp"

#include <iostream>
#include <string>
using namespace std;
#include "listamov.h"

Lista::Lista() : _cont(0) {}

Lista::~Lista() { for(int i = 0; i < _cont; i++) delete _array[i];  }

bool Lista::llena() const { return _cont == MAX; }

bool Lista::vacia() const { return _cont == 0; }

void Lista::insertar(Movimiento* p) {
  if(_cont == MAX) {
    delete _array[0];
    for(int i = 0; i < MAX - 1; i++) _array[i] = _array[i+1];
    _array[MAX] = p;
  }
  else {
    _array[_cont] = p;
    _cont++;
  }
}

bool Lista::recuperar(int pos, Movimiento*& p) const {
  if(pos < 1 || pos > _cont) return false;
  p = _array[pos-1];
  return true;
}

void Lista::mostrar() const {
  cout << endl;
  for(int i = 0; i < _cont; i++)
    _array[i]->mostrar();
  cout << endl;
}
