// Clase Revista - Implementacin "revista.cpp"

#include "revista.h"

// F.C.O.

Revista::Revista(string tit, string c, string p, Fecha f, int vol, int num, string ed)
  : Serie(tit, c, p, f, vol, num), _editorial(ed) { }

Revista::Revista(const Revista& otra) : Serie(otra) {
  _editorial = otra._editorial;
}

Revista& Revista::operator=(const Revista& otra) {
  Serie::operator=(otra);
  _editorial = otra._editorial;
  return *this;
}

Revista::~Revista() { }

// Accedente

string Revista::editorial() const { return _editorial; }

// Mutador

void Revista::editorial(string ed) { _editorial = ed; }

// Otros mtodos

void Revista::leer() {
  Serie::leer();
  cout << "Editorial:" << endl; cin >> _editorial;
}

void Revista::mostrar() const {
  Serie::mostrar();
  cout << "Editorial: " << _editorial << endl;
}




 