// Clase Revista - Archivo de cabecera "revista.h"

#ifndef revista_h // Evitar inclusiones mltiples
#define revista_h

#include <iostream>
#include <string>
using namespace std;
#include "Serie.h"

class Revista : public Serie {
public:
  // F.C.O.
  Revista(string = "", string = "", string = "",
          Fecha = Fecha(), int = 1, int = 1, string = "");
  // Datos: ttulo, ciudad, pas, fecha de edicin, volumen, nmero, editorial.
  Revista(const Revista&);
  Revista& operator=(const Revista&);
  ~Revista();
  // Accedente
  string editorial() const;
  // Mutador
  void editorial(string);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  string _editorial;
};

#endif




 