// Clase Serie - Archivo de cabecera "serie.h"

#ifndef serie_h // Evitar inclusiones mltiples
#define serie_h

#include <iostream>
#include <string>
using namespace std;
#include "publicacion.h"

class Serie : public Publicacion {
public:
  // F.C.O.
  Serie(string = "", string = "", string = "",
          Fecha = Fecha(), int = 1, int = 1);
  // Datos: ttulo, ciudad, pas, fecha de edicin, volumen y nmero.
  Serie(const Serie&);
  Serie& operator=(const Serie&);
  ~Serie();
  // Accedentes
  int volumen() const;
  int numero() const;
  // Mutadores
  void volumen(int);
  void numero(int);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  int _volumen, _numero;
};

#endif



 