// Clase Actas - Implementacin "actas.cpp"

#include "actas.h"

// F.C.O.

Actas::Actas(string tit, string c, string p, Fecha f, int vol, int num, string cong)
  : Serie(tit, c, p, f, vol, num), _congreso(cong) { }

Actas::Actas(const Actas& otras) : Serie(otras) {
  _congreso = otras._congreso;
}

Actas& Actas::operator=(const Actas& otras) {
  Serie::operator=(otras);
  _congreso = otras._congreso;
  return *this;
}

Actas::~Actas() { }

// Accedente

string Actas::congreso() const { return _congreso; }

// Mutador

void Actas::congreso(string c) { _congreso = c; }

// Otros mtodos

void Actas::leer() {
  Serie::leer();
  cout << "Congreso:" << endl; cin >> _congreso;
}

void Actas::mostrar() const {
  Serie::mostrar();
  cout << "Actas del congreso " << _congreso << endl;
}

Publicacion* Actas::clon() const {
  Actas* p = new Actas(*this);
  return p;
}

