// Clase Ingreso - Archivo de cabecera "ingreso.h"

#ifndef ingreso_h // Evitar inclusiones mltiples
#define ingreso_h

#include <iostream>
#include <string>
using namespace std;
#include "movimiento.h"

class Ingreso : public Movimiento { // Clase abstracta
public:
  Ingreso(string = "", double = 0, FechaHora = FechaHora());
  // Datos: Concepto, cantidad y momento
  Ingreso(const Ingreso&);
  Ingreso& operator=(const Ingreso&);
  virtual ~Ingreso();
  double apunte() const;
};

#endif

