// Clase Lista - Implementacin "listaper2.cpp"

#include "listaper2.h"
#include <iostream>
using namespace std;

Lista::Lista() : _cont(0) { }

Lista::Lista(const Lista& otra) {
  _cont = otra._cont;
  for(int i = 0; i < _cont; i++)
    _array[i] = otra._array[i]->clon();
}

Lista& Lista::operator=(const Lista& otra) {
  // Primero eliminamos los elementos de la lista
  for(int i = 0; i < _cont; i++)
    delete _array[i];
  _cont = otra._cont;
  for(int i = 0; i < _cont; i++)
    _array[i] = otra._array[i]->clon();
  return *this;
}

Lista::~Lista() {
  for(int i = 0; i < _cont; i++)
    delete _array[i];
}

bool Lista::llena() const { return _cont == MAX; }

bool Lista::vacia() const { return _cont == 0; }

bool Lista::insertar(Persona* p) {
// true si se inserta; false si lista llena
  if(_cont == MAX) return false;
  _array[_cont] = p;
  _cont++;
  return true;
}

bool Lista::recuperar(int pos, Persona** p) const {
// true con xito; false si posicin no vlida
  if(pos < 1 || pos > _cont) return false;
  *p = _array[pos-1];
  return true;
}

void Lista::mostrar() const {
  cout << "=====================================" << endl;
  cout << "Elementos de la lista:" << endl << endl;
  for(int i = 0; i < _cont; i++) {
    _array[i]->mostrar();
    cout << endl;
  }
  cout << "=====================================" << endl;
}

