// Clase Lista - Archivo de cabecera "listaper2.h"
// Lista polimrfica sin problemas de tamao / vinculacin

#ifndef listaper_h // Evitar inclusiones mltiples
#define listaper_h

#include "persona.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista();
  bool llena() const;
  bool vacia() const;
  bool insertar(Persona*);
  bool recuperar(int, Persona**) const;
  void mostrar() const;
private:
  enum { MAX = 100 };
  Persona* _array[MAX]; // Punteros a Personas
  int _cont;
};

#endif
