// Clase Publicacion - Archivo de cabecera "publicacion.h"

#ifndef publicacion_h // Evitar inclusiones mltiples
#define publicacion_h

#include <iostream>
#include <string>
using namespace std;
#include "fecha.h"

class Publicacion {
public:
  Publicacion(string = "", string = "", string = "", Fecha = Fecha());
  // Datos: ttulo, ciudad, pas, fecha de edicin.
  Publicacion(const Publicacion&);
  Publicacion& operator=(const Publicacion&);
  virtual ~Publicacion();
  string titulo() const;
  string ciudad() const;
  string pais() const;
  Fecha fecha() const;
  void titulo(string);
  void ciudad(string);
  void pais(string);
  void fecha(Fecha);
  virtual void leer();
  virtual void mostrar() const;
  virtual Publicacion* clon() const = 0;
private:
  string _titulo;
  string _ciudad, _pais;
  Fecha* _fecha;
};

#endif


 