// Clase Serie - Archivo de cabecera "serie.h"

#ifndef serie_h // Evitar inclusiones mltiples
#define serie_h

#include <iostream>
#include <string>
using namespace std;
#include "publicacion.h"
#include "articulo.h"

class Serie : public Publicacion {
public:
  Serie(string = "", string = "", string = "",
        Fecha = Fecha(), int = 1, int = 1);
  // Datos: ttulo, ciudad, pas, fecha de edicin, volumen y nmero.
  Serie(const Serie&);
  Serie& operator=(const Serie&);
  virtual ~Serie();
  int volumen() const;
  int numero() const;
  void volumen(int);
  void numero(int);
  virtual void leer();
  virtual void mostrar() const;
private:
  int _volumen, _numero;
};

#endif

