#include <iostream>
#include <string>
using namespace std;

class Error {
public:
  Error(string m) : _mensaje(m) { }
  string mensaje() { return _mensaje; }
private:
  string _mensaje;
};

class Suberror1 : public Error {	
public:
  Suberror1(string m) : Error(m) {}
};


class Suberror2 : public Error {
public:
  Suberror2(string m) : Error(m) {}
};


void eleva() throw(Suberror2) {
  throw Suberror2("suberror2");
}

int main()
{
  try {
    try {
      eleva();
    }
    catch(Suberror1 obj) {
      cout << obj.mensaje();
    }
    catch(...) { // dems excepciones
      cout << "Por defecto";
      throw;
    }
  }
  catch(Error) {
    cout << "General";
  }

  return 0;
}

