// Clase Ingreso - Implementacin "ingreso.cpp"

#include "ingreso.h"

Ingreso::Ingreso(string concepto, double cantidad, FechaHora momento)
  : Movimiento(concepto, cantidad, momento) { }

Ingreso::Ingreso(const Ingreso& otro) : Movimiento(otro) { }

Ingreso& Ingreso::operator=(const Ingreso& otro) {
  Movimiento::operator=(otro);
  return *this;
}

Ingreso::~Ingreso() { }

double Ingreso::apunte() const { return cantidad(); }

