// Clase Serie - Implementacin "serie.cpp"

#include "serie.h"

// F.C.O.

Serie::Serie(string tit, string c, string p, Fecha f, int vol, int num)
  : Publicacion(tit, c, p, f), _volumen(vol), _numero(num) { }

Serie::Serie(const Serie& otro) : Publicacion (otro) {
  _volumen = otro._volumen;
  _numero = otro._numero;
}

Serie& Serie::operator=(const Serie& otro) {
  Publicacion::operator=(otro);
  _volumen = otro._volumen;
  _numero = otro._numero;
  return *this;
}

Serie::~Serie() { }

// Accedentes

int Serie::volumen() const { return _volumen; }

int Serie::numero() const { return _numero; }

// Mutadores

void Serie::volumen(int n) { _volumen = n; }

void Serie::numero(int n) { _numero = n; }

// Otros mtodos

void Serie::leer() {
  Publicacion::leer();
  cout << "Volumen:" << endl; cin >> _volumen;
  cout << "Nmero:" << endl; cin >> _numero;
}

void Serie::mostrar() const {
  Publicacion::mostrar();
  cout << "Vol. " << _volumen << ", Num. " << _numero << endl;
}

 
