// Clase ComplejoFrac - Archivo de cabecera "complejofrac.h"



#ifndef complejofrac_h // Evitar inclusiones mltiples

#define complejofrac_h



#include "fraccion.h"



class ComplejoFrac {

public:

  ComplejoFrac();

  ComplejoFrac(Fraccion, Fraccion);

  ComplejoFrac(const ComplejoFrac&);

  ComplejoFrac& operator=(const ComplejoFrac&);

  ~ComplejoFrac();

  Fraccion real() const;

  Fraccion imag() const;

  void real(Fraccion);

  void imag(Fraccion);

  ComplejoFrac operator+(ComplejoFrac) const;

  ComplejoFrac operator-(ComplejoFrac) const;

  ComplejoFrac operator*(ComplejoFrac) const;

  ComplejoFrac operator/(ComplejoFrac) const;

  void mostrar() const;

private:

  Fraccion _real, _imag;

};



#endif



