// Clase PilaInt - Implementacin "pilaint.cpp"
#include <iostream>
using namespace std;
#include "pilaint.h"

PilaInt::PilaInt() : _tope(0) { }

PilaInt::PilaInt(const PilaInt& otra)
{
  _tope = otra._tope;
  for(int i = 0; i < MAX; i++)
    _array[i] = otra._array[i];
}

PilaInt& PilaInt::operator=(const PilaInt& otra)
{
  _tope = otra._tope;
  for(int i = 0; i < MAX; i++) 
    _array[i] = otra._array[i];
  return *this;
}

PilaInt::~PilaInt() { }

bool PilaInt::pilaVacia() const { return _tope == 0; }

bool PilaInt::pilaLlena() const { return _tope == MAX; }

bool PilaInt::push(int dato)
{
  if(_tope == MAX) return false;
  _array[_tope] = dato;
  _tope++;
  return true;
}

bool PilaInt::pop(int& dato)
{
  if(_tope == 0) return false;
  _tope--;
  dato = _array[_tope];
  return true;
}

