// Clase PilaInt - Archivo de cabecera "pilaint.h"

#ifndef pilaint_h // Evitar inclusiones mltiples
#define pilaint_h

class PilaInt { // Pila de enteros
public:
  PilaInt();
  PilaInt(const PilaInt&);
  PilaInt& operator=(const PilaInt&);
  ~PilaInt();
  bool pilaVacia() const;
  bool pilaLlena() const;
  bool push(int);
  bool pop(int&);
private:
  enum { MAX = 10 };
  int _array[MAX];
  int _tope;
}; 

#endif

 