// Clase Lista (de empleados) - Archivo de cabecera "listaemp.h"

#ifndef listaemp_h // Evitar inclusiones mltiples
#define listaemp_h

#include "empleado.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista() {}
  bool llena() const;
  bool vacia() const;
  bool insertar(Empleado);
  bool recuperar(int, Empleado&) const;
  void mostrar() const;
private:
  enum { MAX = 100 };
  Empleado _array[MAX];
  int _cont;
}; // Fin de la definicin de la clase Lista

#endif
