// Clase Actas - Archivo de cabecera "actas.h"

#ifndef actas_h // Evitar inclusiones mltiples
#define actas_h

#include <iostream>
#include <string>
using namespace std;
#include "Serie.h"

class Actas : public Serie {
public:
  // F.C.O.
  Actas(string = "", string = "", string = "",
          Fecha = Fecha(), int = 1, int = 1, string = "");
  // Datos: ttulo, ciudad, pas, fecha de edicin, volumen, nmero, congreso.
  Actas(const Actas&);
  Actas& operator=(const Actas&);
  ~Actas();
  // Accedente
  string congreso() const;
  // Mutador
  void congreso(string);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  string _congreso;
};

#endif





 