// Clase Alumno - Archivo de cabecera "alumno.h"

#ifndef alumno_h // Evitar inclusiones mltiples
#define alumno_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"

class Alumno : public Persona {
public:
  Alumno(string = "", int = 0, string = "", string = "", int = 1);
    // Datos: NIF, edad, nombre, apellidos y curso
  Alumno(const Alumno&); //  Constructor de copia
  Alumno& operator=(const Alumno&); // Copia
  ~Alumno(); // Destructor
  void curso(int); // Mutador
  int curso() const; // Accedente
  void mostrar() const; // Mtodo redefinido
private:
  int _curso; // nuevo atributo
};

#endif

 