// Clase Libro - Implementacin "libro.cpp"

#include "libro.h"

// F.C.O.

Libro::Libro(string tit, string c, string p, Fecha f,
  Persona a, string isbn, int ed, string edit, int pag)
  : ConISBN(tit, c, p, f, a, isbn, ed, edit), _paginas(pag) { }

Libro::Libro(const Libro& otro) : ConISBN(otro) {
  _paginas = otro._paginas;
}

Libro& Libro::operator=(const Libro& otro) {
  ConISBN::operator=(otro);
  _paginas = otro._paginas;
  return *this;
}

Libro::~Libro() { }

// Accedente

int Libro::paginas() const { return _paginas; }

// Mutador

void Libro::paginas(int p) { _paginas = p; }

// Otros mtodos

void Libro::leer() {
  ConISBN::leer();
  cout << "Numero de paginas: "; cin >> _paginas;
}

void Libro::mostrar() const {
  ConISBN::mostrar();
  cout << _paginas << " paginas" << endl;
}

