// Clase Libro - Archivo de cabecera "libro.h"

#ifndef libro_h // Evitar inclusiones mltiples
#define libro_h

#include <iostream>
#include <string>
using namespace std;
#include "conisbn.h"

class Libro : public ConISBN {
public:
  // F.C.O.
  Libro(string = "", string = "", string = "", Fecha = Fecha(),
        Persona = Persona(), string = "", int = 1, string = "", int = 0);
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor,
  // ISBN, edicin, editorial, pginas.
  Libro(const Libro&);
  Libro& operator=(const Libro&);
  ~Libro();
  // Accedente
  int paginas() const;
  // Mutador
  void paginas(int);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  int _paginas;
};

#endif

 