// Clase Volumen - Implementacin "volumen.cpp"

#include "volumen.h"

// F.C.O.

Volumen::Volumen(string tit, string c, string p, Fecha f, Persona a)
  : Publicacion(tit, c, p, f), _autor(a) { }

Volumen::Volumen(const Volumen& otro) : Publicacion (otro) {
  _autor = otro._autor;
}

Volumen& Volumen::operator=(const Volumen& otro) {
  Publicacion::operator=(otro);
  _autor = otro._autor;
  return *this;
}

Volumen::~Volumen() { }

// Accedente

Persona Volumen::autor() const { return _autor; }

// Mutador

void Volumen::autor(Persona p) { _autor = p; }

// Otros mtodos

void Volumen::leer() {
  Publicacion::leer();
  cout << "Datos del autor:" << endl;
  _autor.leer();
}

void Volumen::mostrar() const {
  Publicacion::mostrar();
  cout << "Autor: " << _autor.nombreCompleto() << endl;
}


 