#include <iostream>
#include <string>
using namespace std;

#include "fechahora.h"
#include "efectivo.h"
#include "transferencia.h"
#include "nomina.h"
#include "recibo.h"
#include "cajero.h"
#include "listamov.h"

int main() {
  FechaHora fh(Fecha(29,11,2002),Hora(10,36,59));
  Lista lista;

  lista.insertar(Efectivo(125, fh));

  fh = fh + 90012; // Un tiempo despus
  lista.insertar(Transferencia(325.60, fh));

  fh = fh + 70235; // Un tiempo despus
  lista.insertar(Cajero(50, fh));

  fh = fh + 215014; // Un tiempo despus
  lista.insertar(Nomina(1025.73, fh));

  fh = fh + 100001; // Un tiempo despus
  lista.insertar(Recibo(120, fh));

  lista.mostrar();

  return 0;
}
