// Clase Lista (de publicaciones) - Archivo de cabecera "listabib.h"

#ifndef listabib_h
#define listabib_h

#include "publicacion.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista();
  bool llena() const;
  bool vacia() const;
  bool insertar(Publicacion);
  bool recuperar(int, Publicacion&) const;
  void mostrar() const;
private:
  enum { MAX = 100 };
  Publicacion _array[MAX];
  int _cont;
}; // Fin de la definicin de la clase Lista

#endif

