// Clase Lista (de movimientos) - Archivo de cabecera "listamov.h"

#ifndef listamov_h
#define listamov_h

#include "movimiento.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista();
  bool llena() const;
  bool vacia() const;
  bool insertar(Movimiento);
  bool recuperar(int, Movimiento&) const;
  void mostrar() const;
private:
  enum { MAX = 100 };
  Movimiento _array[MAX];
  int _cont;
}; // Fin de la definicin de la clase Lista

#endif

