// Clase Movimiento - Archivo de cabecera "movimiento.h"

#ifndef movimiento_h // Evitar inclusiones mltiples
#define movimiento_h

#include <iostream>
#include <string>
using namespace std;
#include "fechahora.h"

class Movimiento {
public:
  Movimiento(string = "", double = 0, FechaHora = FechaHora());
  // Datos: Concepto, cantidad y momento
  Movimiento(const Movimiento&);
  Movimiento& operator=(const Movimiento&);
  ~Movimiento();
  string concepto() const;
  double cantidad() const;
  FechaHora momento() const;
  void concepto(string);
  void cantidad(double);
  void momento(FechaHora);
  void leer();
  void mostrar() const;
private:
  string _concepto;
  double _cantidad;
  FechaHora _momento;
};

#endif

