// Clase Publicacion - Archivo de cabecera "publicacion.h"

#ifndef publicacion_h // Evitar inclusiones mltiples
#define publicacion_h

#include <iostream>
#include <string>
using namespace std;
#include "fecha.h"

class Publicacion {
public:
  // F.C.O.
  Publicacion(string = "", string = "", string = "", Fecha = Fecha());
  // Datos: ttulo, ciudad, pas, fecha de edicin.
  Publicacion(const Publicacion&);
  Publicacion& operator=(const Publicacion&);
  ~Publicacion();
  // Accedentes
  string titulo() const;
  string ciudad() const;
  string pais() const;
  Fecha fecha() const;
  // Mutadores
  void titulo(string);
  void ciudad(string);
  void pais(string);
  void fecha(Fecha);
  // Otros mtodos
  void leer();
  void mostrar() const;
private:
  string _titulo;
  string _ciudad, _pais;
  Fecha _fecha;
};

#endif


 