// Clase Alumno - Implementacin "alumno.cpp"

#include "alumno.h"

Alumno::Alumno(Persona* profesor, string nif, int edad, string nombre,
               string apellidos, int curso)
  : _curso(curso), _profesor(profesor), Persona(nif, edad, nombre, apellidos) { }

Alumno::Alumno(const Alumno& otro) : Persona(otro) {
  _curso = otro._curso;
  _profesor = otro._profesor;
}

Alumno& Alumno::operator=(const Alumno& otro) {
  Persona::operator=(otro);
  _curso = otro._curso;
  _profesor = otro._profesor;
  return *this;
}

Alumno::~Alumno() { }

void Alumno::curso(int num) { _curso = num; }

void Alumno::profesor(Persona* profe) { _profesor = profe; }

int Alumno::curso() const { return _curso; }

Persona* Alumno::profesor() const { return _profesor; }

void Alumno::mostrar() const {
  Persona::mostrar();
  cout << "Curso: " << _curso << endl;
  cout << "Profesor:" << endl;
  _profesor->mostrar();
}

void Alumno::leer() {
  Persona::leer();
  cout << "Curso: ";
  cin >> _curso;
}

 