// Clase Alumno - Archivo de cabecera "alumno.h"

#ifndef alumno_h // Evitar inclusiones mltiples
#define alumno_h

#include "persona.h"

class Alumno : public Persona {
public:
  Alumno(Persona* = NULL, string = "", int = 0, string = "",
         string = "", int = 1);
    // Datos: Profesor, NIF, edad, nombre, apellidos y curso
  Alumno(const Alumno&); //  Constructor de copia
  Alumno& operator=(const Alumno&); // Copia
  ~Alumno(); // Destructor
  void curso(int);
  void profesor(Persona*);
  int curso() const;
  Persona* profesor() const;
  void mostrar() const;
  void leer(); // No pide los datos del profesor
private:
  int _curso;
  Persona *_profesor;
};

#endif

 