// Clase Cuenta - Archivo de cabecera "cuenta.h"
#ifndef cuenta_h // Evitar inclusiones mltiples
#define cuenta_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "fecha.h"
#include "listamov.h"

class Cuenta {
public:
  Cuenta(Persona = Persona(), Fecha = Fecha(), double = 0);
  ~Cuenta();
  Persona cliente() const;
  void cliente(Persona);
  Fecha fecha() const;
  void fecha(Fecha);
  double saldo() const;
  void saldo(double);
  void nuevo(Movimiento*);
  void mostrar() const;
  void extracto() const;
private:
  Persona *_cliente;
  Fecha *_fecha;
  double _saldo;
  Lista *_movs;
};

#endif
 