// Clase Lista (de movimientos) - Archivo de cabecera "listamov.h"

#ifndef listamov_h
#define listamov_h

#include "movimiento.h"

class Lista {
public:
  Lista();
  // El constructor de copia y el operador de
  // asignacin se aadirn en el siguiente taller
  ~Lista();
  bool llena() const;
  bool vacia() const;
  void insertar(Movimiento*);
  bool recuperar(int, Movimiento*&) const;
  void mostrar() const;
private:
  enum { MAX = 15 };
  Movimiento* _array[MAX];
  int _cont;
};

#endif

