// Clase Reintegro - Implementacin "reintegro.cpp"

#include "reintegro.h"

Reintegro::Reintegro(string concepto, double cantidad, FechaHora momento)
  : Movimiento(concepto, cantidad, momento) { }

Reintegro::Reintegro(const Reintegro& otro) : Movimiento(otro) { }

Reintegro& Reintegro::operator=(const Reintegro& otro) {
  Movimiento::operator=(otro);
  return *this;
}

Reintegro::~Reintegro() { }

double Reintegro::apunte() const { return - cantidad(); }

