// Clase Actas - Archivo de cabecera "actas.h"

#ifndef actas_h // Evitar inclusiones mltiples
#define actas_h

#include <iostream>
#include <string>
using namespace std;
#include "serie.h"

class Actas : public Serie {
public:
  Actas(string = "", string = "", string = "",
          Fecha = Fecha(), int = 1, int = 1, string = "");
  // Datos: ttulo, ciudad, pas, fecha de edicin, volumen, nmero, congreso.
  Actas(const Actas&);
  Actas& operator=(const Actas&);
  ~Actas();
  string congreso() const;
  void congreso(string);
  void leer();
  void mostrar() const;
  Publicacion* clon() const;
private:
  string _congreso;
};

#endif





 