// Prueba de la clase Lista (de publicaciones)

#include "articulo.h"
#include "libro.h"
#include "revista.h"
#include "listabib.h"

int main() {
  Lista biblioteca;

  Persona* autor1 = new Persona("223344G", 31, "Juan", "Roque Gil");
  Persona* autor2 = new Persona("123867X", 53, "Miguel", "Vegas Sanz");

  Revista* rev = new Revista("Programadores de C++", "Madrid", "Espaa",
                 Fecha(1,10,2002), 5, 12, "Ed. SoftTop");
  biblioteca.insertar(rev);

  Articulo* art = new Articulo("Los punteros o como morir en el intento",
                 "Madrid", "Espaa", Fecha(11,9,2002), autor1,
                 "Programadores de C++", 134, 161);
  biblioteca.insertar(art);

  art = new Articulo("Los atributos dinmicos, armas de doble filo",
        "Barcelona", "Espaa", Fecha(23,9,2002), autor2,
        "Programadores de C++", 17, 31);
  biblioteca.insertar(art);

  Libro* lib = new Libro("POO con C++", "Madrid", "Espaa",
                         Fecha(3,6,2001), autor1, "8-05400-2143-0",
                         2, "Ed. SoftTop", 237);
  biblioteca.insertar(lib);

  biblioteca.mostrar();

  delete autor1;
  delete autor2;
  
  return 0;
}