// Clase Libro - Archivo de cabecera "libro.h"

#ifndef libro_h // Evitar inclusiones mltiples
#define libro_h

#include <iostream>
#include <string>
using namespace std;
#include "conisbn.h"

class Libro : public ConISBN {
public:
  Libro(string = "", string = "", string = "", Fecha = Fecha(),
        Persona* = NULL, string = "", int = 1, string = "", int = 0);
  // Datos: ttulo, ciudad, pas, fecha de edicin, autor,
  // ISBN, edicin, editorial, pginas.
  Libro(const Libro&);
  Libro& operator=(const Libro&);
  ~Libro();
  int paginas() const;
  void paginas(int);
  void leer();
  void mostrar() const;
  Publicacion* clon() const;
private:
  int _paginas;
};

#endif

 