// Clase Lista (de publicaciones) - Archivo de cabecera "listabib.h"

#ifndef listabib_h
#define listabib_h

#include "publicacion.h"

class Lista {
public:
  Lista();
  Lista(const Lista&);
  Lista& operator=(const Lista&);
  ~Lista();
  bool llena() const;
  bool vacia() const;
  int cont() const;
  bool insertar(Publicacion*);
  bool recuperar(int, Publicacion*&) const;
    // la posicin, de 1 a cont()
  bool eliminar(int);
    // la posicin, de 1 a cont()
  void mostrar() const;
private:
  enum { MAX = 100 };
  Publicacion* _array[MAX];
  int _cont;
};

#endif

