// Clase Volumen - Archivo de cabecera "volumen.h"
// _autor como atributo relacin

#ifndef volumen_h // Evitar inclusiones mltiples
#define volumen_h

#include <iostream>
#include <string>
using namespace std;
#include "persona.h"
#include "publicacion.h"

class Volumen : public Publicacion {
public:
  Volumen(string = "", string = "", string = "",
          Fecha = Fecha(), Persona* = NULL);
  // Datos: ttulo, ciudad, pas, fecha de edicin, puntero al autor.
  // Por defecto no est establecida la relacin con ninguna Persona (NULL).
  Volumen(const Volumen&);
  Volumen& operator=(const Volumen&);
  virtual ~Volumen();
  Persona* autor() const;
  void autor(Persona*);
  virtual void leer();
  virtual void mostrar() const;
private:
  Persona* _autor;
};

#endif

